
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>JBoss EJB 3.0 and Extensions: TrailBlazer</title>
<style type="text/css">
<!--
body {
	margin-left: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
	background-color: #CCCCCC;
}
-->
</style>
<link href="css/trailblazer_main.css" rel="stylesheet" type="text/css">
</head>

<body>
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center"><table width="755" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
      <tr>
        <td align="center" valign="top"><img src="images/trailblazer_header.gif" width="751" height="103" border="0" usemap="#Map" href="http://www.jboss.com/services/certification"></td>
      </tr>
      <tr>
        <td align="center" valign="top"><table width="755" border="0" cellspacing="0" cellpadding="2">
          <tr>
            <td><img src="images/home_prepare.jpg" width="248" height="167"></td>
            <td><img src="images/home_explore.jpg" width="248" height="167"></td>
            <td><img src="images/home_achieve.jpg" width="248" height="167"></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td align="center" valign="top"><table width="755" border="0" cellspacing="0" cellpadding="3">
          <tr>
            <td align="center" valign="top" bgcolor="#ECF0DF">
            
                                <table width="600" cellspacing="0" cellpadding="0" border="0">
                                    <tr><td align="left">
                                        <font size="2">
                                        <p>The new JBoss Application Server (AS) 4.0.3 introduces the new and revolutionary EJB 3.0 programming model. EJB 3.0 applications and services are assembled from plain old Java objects (POJOs), which are easy to understand and fully testable. No XML descriptors or rigid component models are needed. In the meanwhile, EJB 3.0 preserves the same level of power and scalability that enterprise users have come to expect from J2EE.</p>
                                        
                                        <p>This JBoss EJB 3.0 TrailBlazer teaches you how to leverage EJB 3.0 to increase productivity and improve software quality. The TrailBlazer is divided into several <i>hikes</i>. Each hike covers a board topic and is further divided into several <i>trails</i>. Each trail is a relatively independent learning module with text and sample applications. To deploy the TrailBlazer on your own server or build it from the source, please visit the JBoss TrailBlazer web page at at <b><a href="http://www.jboss.com/docs/trailblazer">http://www.jboss.com/docs/trailblazer</a></b>. Now, start exploring EJB 3.0 from any of the hikes below!</p>
                                        
                                        <p><b>IMPORTANT NOTE:</b> You need <a href="http://www.jboss.com/products/jbossas/downloads">JBoss AS 4.0.4+</a> to run this trailblazer. <b>You must use the GUI installer (*-installer.jar file) to install EJB3 support.</b> You MIGHT be able to run it in older AS 4.0.x with the <a href="http://www.jboss.com/products/list/downloads#ejb3">latest EJB 3.0 module</a> installed. If you are updating your application from earlier versions of JBoss EJB 3.0, please refer to <a href="http://docs.jboss.com/TrailBlazer/ejb3/EJB3RC3toRC5.html">this article</a>.</p>
                                        
                                        <br/>
                                        </font>
                                    </td></tr>
                                </table>
                        
                                <table width="550" cellspacing="0" cellpadding="0" border="0">
                                    <tr>
                                        <td colspan="2">
                                            <table cellspacing="0" cellpadding="0" border="0">
                                                <tr>
                                                    <td rowspan="2"><a href="background/index.html"><img src="images/no1.gif" border="0"></a></td>
                                                    <td class="trail_title"><a href="background/index.html">
        Getting Started </a></td>
                                                </tr>
                                                <tr>
                                                    <td><img src="images/header_line.gif" border="0"></td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td height="8" colspan="2" align="left" valign="top"></td>
                                    </tr>
                                    <tr>
                                        <td width="32"></td>
                                        <td class="description" width="550">
                                            <font size="2">
<p>This hike provides an overview of the EJB 3.0 programming model, as well as how to install and use the JBoss EJB 3.0 application server.</p> 
</font>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td height="30"></td>
                                    </tr>
                                </table>

                                <table width="550" cellspacing="0" cellpadding="0" border="0">
                                    <tr>
                                        <td colspan="2">
                                            <table cellspacing="0" cellpadding="0" border="0">
                                                <tr>
                                                    <td rowspan="2"><a href="serviceobjects/index.html"><img src="images/no2.gif" border="0"></a></td>
                                                    <td class="trail_title"><a href="serviceobjects/index.html">
        Service Objects Management</a></td>
                                                </tr>
                                                <tr>
                                                    <td><img src="images/header_line.gif" border="0"></td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td height="8" colspan="2" align="left" valign="top"></td>
                                    </tr>
                                    <tr>
                                        <td width="32"></td>
                                        <td class="description" width="550">
                                            <font size="2">
<p>This hike covers how to develop managed services, including session beans, JMX services, messaging driven beans etc., in a JBoss EJB 3.0 application server.</p>
      </font>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td height="30"></td>
                                    </tr>
                                </table>
                                
                                <table width="550" cellspacing="0" cellpadding="0" border="0">
                                    <tr>
                                        <td colspan="2">
                                            <table cellspacing="0" cellpadding="0" border="0">
                                                <tr>
                                                    <td rowspan="2"><a href="persistence/index.html"><img src="images/no3.gif" border="0"></a></td>
                                                    <td class="trail_title"><a href="persistence/index.html">
        Persistence and Database Access</a></td>
                                                </tr>
                                                <tr>
                                                    <td><img src="images/header_line.gif" border="0"></td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td height="8" colspan="2" align="left" valign="top"></td>
                                    </tr>
                                    <tr>
                                        <td width="32"></td>
                                        <td class="description" width="550">
                                            <font size="2">
<p>This hike covers topics on how to map, save, retrieve, search, and update object-oriented application data in a relational database.</p>
      </font>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td height="30"></td>
                                    </tr>
                                </table>

                                <table width="550" cellspacing="0" cellpadding="0" border="0">
                                    <tr>
                                        <td colspan="2">
                                            <table cellspacing="0" cellpadding="0" border="0">
                                                <tr>
                                                    <td rowspan="2"><a href="services/index.html"><img src="images/no4.gif" border="0"></a></td>
                                                    <td class="trail_title"><a href="services/index.html">
        Runtime Services</a></td>
                                                </tr>
                                                <tr>
                                                    <td><img src="images/header_line.gif" border="0"></td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td height="8" colspan="2" align="left" valign="top"></td>
                                    </tr>
                                    <tr>
                                        <td width="32"></td>
                                        <td class="description" width="550">
                                            <font size="2">
<p>This hike covers container-managed runtime services, including transactions and security, which can be applied to any POJO classes or methods deployed in the application server.</p>
</font>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td height="30"></td>
                                    </tr>
                                </table>
                                                
                </td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td align="center"><table width="755" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="left" valign="bottom" bgcolor="#ECF0DF"><img src="images/swoosh.gif" width="96" height="86"></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="20" valign="top">
          <p align="center"><span class="footer">&copy;2002-2005 JBoss Inc. All rights reserved. JBoss is a registered trademark and servicemark of JBoss, Inc. <br>
              <a href="http://www.jboss.com/privacy_policy" target="_blank">Privacy Policy</a></span></p>
        </td>
      </tr>
    </table></td>
  </tr>
</table>
<map name="Map">
  <area shape="rect" coords="666,14,727,27" href="http://www.jboss.com/products/index" target="_blank">
  <area shape="rect" coords="652,36,730,49" href="http://www.jboss.com/developers/index" target="_blank">
  <area shape="rect" coords="670,57,730,71" href="http://www.jboss.com/services/profsupport" target="_blank">
  <area shape="rect" coords="671,77,728,92" href="http://www.jboss.com/services/certification" target="_blank">
</map>
</body>
</html>
